---
sidebar_position: 2
description: Return block and other functions to work with Notion in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Notion]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Return block
 Returns the block structure by ID



`Function ReturnBlock(Val Token, Val BlockID, Val OnlyBase = True) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | BlockID | --block | String | &#x2714; | Block ID |
  | OnlyBase | --core | Boolean | &#x2716; | True > service fields are deleted, only the block itself remains |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Notion



```bsl title="1C:Enterprise/OneScript code example"
    Token = "secret_9RsfMrRMqZwqp0Zl0B...";
    Block = "d7021bdd15b944ababcb02bd2b1a5f6a";

    Result = OPI_Notion.ReturnBlock(Token, Block);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint notion ReturnBlock \
             --token "***" \
             --block "d7021bdd15b944ababcb02bd2b1a5f6a"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint notion ReturnBlock ^
             --token "***" ^
             --block "d7021bdd15b944ababcb02bd2b1a5f6a"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "object": "block",
 "parent": {
  "type": "page_id",
  "page_id": "5dd94c34-fab0-4bff-986b-7511c0779f77"
 },
 "in_trash": true,
 "type": "to_do",
 "to_do": {
  "rich_text": [
   {
    "type": "text",
    "text": {
     "content": "YoYO",
     "link": null
    },
    "annotations": {
     "bold": false,
     "italic": false,
     "strikethrough": false,
     "underline": false,
     "code": false,
     "color": "default"
    },
    "plain_text": "YoYO",
    "href": null
   }
  ],
  "checked": false,
  "color": "default"
 }
}
```
